@charset "utf-8";

/* ====================
Works
==================== */
.article__header--works {
    background-image: url(../images/common/section_works.jpg);
}

.genre {
    background-color: var(--color-gray);
}

.genre__list {
    padding: clamp(30px, 3.47vw, 50px) 0;
    display: flex;
    justify-content: center;
    gap: clamp(30px, 3.47vw, 50px);
}

.genre__item {
    font-family: var(--sub-font-en);
    font-size: clamp(1.2rem, 1.11vw, 1.6rem);
    font-weight: 500;
    text-align: center;
}

.genre__item span {
    display: block;
    font-family: var(--sub-font-jp);
    font-size: clamp(1.0rem, 0.83vw, 1.2rem);
    font-weight: 400;
}

.genre__item--pickUp {
    color: var(--color-red);
    border-bottom: 1px solid var(--color-red);
}

/* ====================
writings
==================== */
.writings {
    padding: 0 var(--contentPadding);
    display: flex;
    flex-direction: column;
}

.writings__item {
    padding: clamp(30px, 3.47vw, 50px) 1.33vw;
    border-top: 0.5px solid var(--color-black);
    display: flex;
    flex-direction: column;
    gap: clamp(30px, 3.47vw, 50px);
}

.writings__item:first-of-type {
    border-top: none;
}

.writings__header {
    display: flex;
    flex-direction: column;
    gap: clamp(15px, 2.08vw, 30px);
}

.writings__year {
    font-family: var(--sub-font-en);
    font-size: clamp(1.4rem, 1.25vw, 1.8rem);
    font-weight: 500;
}

.writings__topic {
    font-family: var(--sub-font-jp);
    font-size: clamp(1.6rem, 1.66vw, 2.4rem);
    font-weight: 500;
    letter-spacing: 0.1em;
}

.writings__topic span {
    display: block;
    margin-top: 10px;
    font-size: clamp(1.4rem, 1.25vw, 1.8rem);
    letter-spacing: 0.05em;
}

.writings__txt {
    display: flex;
    flex-direction: column;
    gap: 25.2px;
    height: 126px;
    overflow: hidden;
    background: linear-gradient(180deg, var(--color-black), var(--color-black) 63px, transparent);
    background-clip: text;
    color: transparent;
    font-size: 1.4rem;
    line-height: 1.8;
    transition: all 0.4s ease;
}

.writings__txt.display {
    height: auto;
    background: transparent;
    color: var(--color-black);
}

.readBtn {
    margin: 0 0 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(5px, 0.69vw, 10px);
}

.readBtn.active {
    flex-direction: column-reverse;
}

.readBtn__txt {
    color: var(--color-red);
    font-family: var(--sub-font-en);
    font-size: clamp(1.4rem, 1.25vw, 1.8rem);
    font-weight: 500;
}

.readBtn img {
    width: clamp(11px, 1.45vw, 21vw);
    height: clamp(3px, 0.34vw, 5px);
    object-fit: contain;
}

.readBtn.active img {
    transform: rotate(180deg);
}

/* writings pc */
@media screen and (min-width: 769px) {
    .writings__item {
        width: 100%;
        max-width: 1260px;
        margin: 0 auto;
        padding: clamp(30px, 3.47vw, 50px) 13.8vw;
    }

    .writings__topic {
        text-align: center;
    }

    .writings__txt {
        gap: 28px;
        height: 168px;
        background: linear-gradient(180deg, var(--color-black), var(--color-black) 70px, transparent);
        background-clip: text;
        color: transparent;
        line-height: 2;
    }
    
    .writings__txt--center {
        text-align: center;
    }
}/* pc 769px */